import { metaObject } from "@/config/site.config";
import {
  FleetHero,
  FleetOverviewAndVessels,
  FleetManagementApproach,
  FleetApprovedClassesAndFlags,
} from "@/views/fleet";

export async function generateMetadata() {
  return metaObject(
    "Fleet",
    "Explore our managed vessels, technical oversight, and international compliance standards."
  );
}

export default function Fleet() {
  return (
    <>
      <FleetHero />
      <section className="custom-container flex flex-col gap-12 pb-16">
        <FleetOverviewAndVessels />
        <FleetManagementApproach />
      </section>
      <section className="md:custom-container">
        <FleetApprovedClassesAndFlags />
      </section>
    </>
  );
}
